// copyright 2002 Josh Levenberg, please see copying.txt
/* 
  Frustum culling functions
*/

#ifndef FRUSTUM_CULLING_H
#define FRUSTUM_CULLING_H
#include "vect3.h"
#include <jstring.h>
#include <vector>

void UpdateClipPlanes();

typedef enum { Outside, Inside=-1, CheckAll=0x7 };
int IsVisible(int wascrossing, const std::vector<vec3s_t> &bounds);

#endif