// copyright 2002 Josh Levenberg, please see copying.txt
/* wrappers around libpng */
#ifndef ERROR
#define ERROR false
#endif
#define OK true
/* write a png file */
bool write_png_8gray(const char *file_name, int width, int height, unsigned char *data);
bool write_png_16gray(const char *file_name, int width, int height, unsigned short *data);
bool write_png_8rgb(const char *file_name, int width, int height, unsigned char *data);

/* allocates data using new */
bool read_png_8gray(const char *file_name, int *width, int *height, unsigned char **data);
bool read_png_16gray(const char *file_name, int *width, int *height, unsigned short **data);
// will read 8gray (*components=1) or 8rgb (*components=3) depending on the file
// (conversion from 16, 4, 2, 1 bit may work)
bool read_png(const char *file_name, int *width, int *height, int *components, unsigned char **data);
